{ pkgs, config, ... }:
{
  programs.firefox = {
    enable = true;
    configPath = ".mozilla/firefox";
    package = pkgs.firefox-devedition;
    policies = {
      Preferences = {
        "widget.use-xdg-desktop-portal.file-picker" = {
          Value = 1;
          Status = "default";
        };
        "middlemouse.paste" = {
          Value = false;
          Status = "default";
        };
      };
      ExtensionSettings = {
        "figma-windows-ua-spoofer@imnyang.local" = {
          installation_mode = "force_installed";
          install_url = "https://git.mizuki.guru/imnyang/thisiswindowsfigma/releases/download/v1.0.0/d168a70cb6a24fe4a478-1.0.0.xpi";
        };
      };
    };
  };

  home.file.".waterfox/native-messaging-hosts".source =
    config.lib.file.mkOutOfStoreSymlink "${config.home.homeDirectory}/.mozilla/native-messaging-hosts";
}
